Cropping corrupts dest_mgr struct
I will have to dig into this.  Stand by.
For the moment, I opted to take the easy way out and simply throw an error if the user attempts to use `-crop` with a non-PPM output image format.  I also documented the fact that `-crop` only works with PPM/PGM output images.  I went down the path of attempting to fix this the right way, by adding a calc_buffer_width() method to the exposed (but project-private) djpeg_dest_struct structure in cdjpeg.h, but that was insufficient to make BMP images work properly (I kept getting virtual array access errors.)  At the moment, I'm not in the mood to figure out how to make this work with non-PPM images, since this was Google's feature to begin with (a prerequisite for including libjpeg-turbo in Android) and I have no use for the feature in my own projects.